Subject: Re: CCL:damped molecular dynamics

From: Aaron Deskins <[email-masked]>
Date: Thu, 31 Oct 2002 09:18:07 -0500

Thank you for your reply. I should have mentioned in my original email
that I'm working with a solid state system, specifically modelling of
surfaces. I have access to programs that implement tight-binding and DFT
methods. I have had some good results, but still need to work on my
simulations. My main area of confusion concerns what to do when the
kinetic energy has been damped to essentially zero, but I am not yet at
the potential energy minimum. 
thank you. 

Richard Gillilan wrote:
> 
> In dynamics with friction and stochastic terms there is the
> tendency to mask problems in the underlying trajectory
> integration/dynamics. I believe the step size should be
> chosen so that zero-friction dynamics is stable for long
> time ... that way you know the underlying dynamics is good.
> Usually for dynamics, you would choose a stepsize of 1 or 2
> fsec when hydrogen atoms are present. With a unified atom model
> or bond-length constraints you can go larger. The step size you
> need must be smaller than a typical oscillation period for any
> coordinate. Oscillation period depends upon both the stiffness
> of the spring and the effective mass of the atom or body.
> 
> You could then turn up the friction a little to give you
> what you want. I assume you are using it as a sort of
> simulated annealing?
> 
> I would love to know how others choose good friction terms for
> Langevin type simulations. Perhaps others will comment.
> 
>  Richard Gillilan
>  MacCHESS, Cornell
> 
> > 2) What are good strategies to decide the friction coefficient and time
> > step? I noticed that if the time step is too large, the kinetic
> > instabilities are common.
> >
> > thanks for any help.
> >
> > Aaron Deskins
> > Purdue University
> >
>